package com.thebrokenrail.sorcerycraft.spell;

import com.thebrokenrail.sorcerycraft.SorceryCraft;
import net.minecraft.util.Identifier;

@SuppressWarnings("unused")
public class Spells {
    public static final Identifier HEAL_SPELL;
    public static final Identifier DAMAGE_SPELL;
    public static final Identifier DISSOLVE_SPELL;
    public static final Identifier STEADFAST_SPELL;
    public static final Identifier FLAME_SPELL;
    public static final Identifier LEVITATE_SPELL;
    public static final Identifier TELEPORT_SPELL;
    public static final Identifier INWARD_SPELL;

    static {
        HEAL_SPELL = SpellRegistry.registerSpell(new Identifier(SorceryCraft.NAMESPACE, "heal_spell"), HealSpell.class);
        DAMAGE_SPELL = SpellRegistry.registerSpell(new Identifier(SorceryCraft.NAMESPACE, "damage_spell"), DamageSpell.class);
        DISSOLVE_SPELL = SpellRegistry.registerSpell(new Identifier(SorceryCraft.NAMESPACE, "dissolve_spell"), DissolveSpell.class);
        STEADFAST_SPELL = SpellRegistry.registerSpell(new Identifier(SorceryCraft.NAMESPACE, "steadfast_spell"), SteadfastSpell.class);
        FLAME_SPELL = SpellRegistry.registerSpell(new Identifier(SorceryCraft.NAMESPACE, "flame_spell"), FlameSpell.class);
        LEVITATE_SPELL = SpellRegistry.registerSpell(new Identifier(SorceryCraft.NAMESPACE, "levitate_spell"), LevitateSpell.class);
        TELEPORT_SPELL = SpellRegistry.registerSpell(new Identifier(SorceryCraft.NAMESPACE, "teleport_spell"), TeleportSpell.class);
        INWARD_SPELL = SpellRegistry.registerSpell(new Identifier(SorceryCraft.NAMESPACE, "inward_spell"), InwardSpell.class);
    }
}
